<template>
	<view class="container">
		<view class="vheigh"></view>
		<view class="top-image"><image src="../../static/icon/user-top.png" mode=""></image></view>
		<view class="" style="height: 150rpx;"></view>
		<view class="user-box">
			<image class="avatar" :src="userInfo.avatar" mode="" v-if="userInfo.avatar"></image>
			<image class="avatar" src="../../static/error/missing-face.png" mode="" v-else></image>
			<!-- <view class="user-name">{{ userInfo.phone | phone }}</view> -->
			<view class="user-name">{{ userInfo.nickname }}</view>
			<view class="user-shop" v-if="userInfo.user_rule != 'user'">
				<image class="user-shop-icon" src="../../static/icon/user1.png" mode=""></image>
				<view class="user-shopname">{{ store_name }}</view>
			</view>
			<view class="user-money flex" v-if="userInfo.user_rule != 'user'">
				<view class="user-money-item" @click="navTo('/pages/shop/order')">
					<view class="user-money-num">{{ achievement }}</view>
					<view class="user-money-font">本店业绩</view>
				</view>
				<view class="user-xian" v-if="userInfo.user_rule == 'waiter'"></view>
				<view class="user-money-item" v-if="userInfo.user_rule == 'waiter'" @click="navTo('/pages/shop/employee')">
					<view class="user-money-num">{{ userInfo.rank_in_shop }}</view>
					<view class="user-money-font">业绩排名</view>
				</view>
			</view>
		</view>
		<view class="main-box">
			<view class="title flex" @click="navTo('/pages/order/order?state=0')">
				<view class="title-left">
					<image class="title-icon" src="../../static/icon/user2.png" mode=""></image>
					<view class="title-font">我的订单</view>
				</view>
				<image class="title-right" src="../../static/icon/jt.png" mode=""></image>
			</view>
			<view class="main flex">
				<view class="oitem" @click="navTo('/pages/order/order?state=1')">
					<image class="oitem-image" src="../../static/icon/user3.png" mode=""></image>
					<view class="oitem-font">正在拼团</view>
				</view>
				<view class="oitem" @click="navTo('/pages/order/order?state=2')">
					<image class="oitem-image" src="../../static/icon/user4.png" mode=""></image>
					<view class="oitem-font">待付款</view>
				</view>
				<view class="oitem" @click="navTo('/pages/order/order?state=3')">
					<image class="oitem-image" src="../../static/icon/user5.png" mode=""></image>
					<view class="oitem-font">已完成</view>
				</view>
			</view>
		</view>
		<uni-list class="tool-list">
			<uni-list-item title="我的收藏" @click="navTo('/pages/user/favorites')" thumb="../../static/icon/user6.png"></uni-list-item>
			<uni-list-item title="客服中心" @click="openKf()" thumb="../../static/icon/user7.png"></uni-list-item>
			<uni-list-item title="设置" @click="navTo('/pages/set/userinfo')" thumb="../../static/icon/user8.png"></uni-list-item>
			<uni-list-item title="我的邀请码" @click="navTo('/pages/user/share')" thumb="../../static/icon/user9.png"></uni-list-item>
			<uni-list-item title="绑定店员" @click="open()" thumb="../../static/icon/user10.png"></uni-list-item>
			<!-- <uni-list-item title="关于我们" @click="navTo('/pages/user/about')" thumb="/static/icon/img09.png"></uni-list-item> -->
		</uni-list>
		<uni-popup ref="popupkf" type="center">
			<view class="popup-box">
				<view class="img"><image src="../../static/img/img009.png" mode=""></image></view>
				<view class="mian">
					<view class="delivery">
						<view class="title">已经为您定制专属客服</view>
						<image src="../../static/img/img010.png" mode=""></image>
					</view>
					<view class="nocancel">客服VX:{{ text }}</view>
					<view class="comfirm-box">
						<view class="cancel" @click="cancel">取消</view>
						<view class="comfirm" @click="comfirm(text)">复制微信</view>
					</view>
				</view>
			</view>
		</uni-popup>
		<uni-popup ref="gspass" type="center">
			<view class="psw-wrapper">
				<view class="psw-title">输入绑定店员ID</view>
				<input type="text" v-model="id" class="psw-ipt" />
				<view class="psw-btn">
					<text @click="cancelpass">取消</text>
					<text class="psw-qd" @click="cast()">确定</text>
				</view>
			</view>
		</uni-popup>
		<u-tabbar
			v-if="userInfo.user_rule == 'leader' || userInfo.user_rule == 'admin'"
			v-model="current"
			:list="tabbar"
			active-color="#FF4C4C"
			inactive-color="#666666"
		></u-tabbar>
		<u-tabbar v-else v-model="current" :list="tabbar1" active-color="#FF4C4C" inactive-color="#666666"></u-tabbar>
	</view>
</template>
<script>
import { tabbar1, tabbar } from '@/utils/tabbar.js';
import { mapState, mapMutations } from 'vuex';
import uniList from '@/components/uni-list/uni-list.vue';
import uniListItem from '@/components/uni-list-item/uni-list-item.vue';
import { store } from '@/api/info.js';
import { orderData, getUserInfo } from '@/api/user.js';
import { saveUrl, interceptor } from '@/utils/loginUtils.js';
import { set_waiter } from '@/api/info.js';
let startY = 0,
	moveY = 0,
	pageAtTop = true;
export default {
	components: {
		uniList,
		uniListItem
	},
	data() {
		return {
			current: 2,
			tabbar: tabbar,
			tabbar1: tabbar1,
			id: '', //是否已签到
			store_name: '',
			achievement: '',
			text: '15606861277' //客服微信
		};
	},
	onShow() {
		// 判断是否已经登录
		if (this.hasLogin) {
			this.loadBaseData();
		}
		this.loadBaseData();
		this.storeinfo();
	},
	filters: {
		phone(e) {
			var subStr1 = e.substr(0, 3);
			var subStr2 = e.substr(e.length - 4, 4);
			var subStr = subStr1 + '...' + subStr2;
			e = subStr;
			return e;
		}
	},
	onReady() {
		// 初始化获取页面宽度
		uni.createSelectorQuery()
			.select('.container')
			.fields(
				{
					size: true
				},
				data => {
					// 计算最多下拉的高度
					this.userDowm = Math.floor((data.width / 750) * 185);
					// 计算最大触发修改高度事件
					this.userMaxDowm = Math.floor((data.width / 750) * 250);
				}
			)
			.exec();
	},
	computed: {
		...mapState(['userInfo', 'orderInfo', 'hasLogin'])
	},
	methods: {
		...mapMutations(['setUserInfo']),
		storeinfo() {
			if (this.userInfo.user_rule != 'user') {
				store({}, this.userInfo.store_id).then(({ data }) => {
					this.achievement = data.achievement;
					if (data.store_info) {
						this.store_name = data.store_info.name;
					} else {
						this.store_name = '总店';
					}
					console.log(data, '123456');
				});
			}
		},
		comfirm(text) {
			console.log(text);
			const result = this.uniCopy(text);
			if (result === false) {
				uni.showToast({
					title: '不支持'
				});
			} else {
				uni.showToast({
					title: '复制成功',
					icon: 'none'
				});
			}
			this.$refs.popupkf.close();
		},
		uniCopy(content) {
			/**
			 * 小程序端 和 app端的复制逻辑
			 */
			//#ifndef H5
			uni.setClipboardData({
				data: content,
				success: function() {
					console.log('success');
					return true;
				}
			});
			//#endif

			/**
			 * H5端的复制逻辑
			 */
			// #ifdef H5
			if (!document.queryCommandSupported('copy')) {
				//为了兼容有些浏览器 queryCommandSupported 的判断
				// 不支持
				return false;
			}
			let textarea = document.createElement('textarea');
			textarea.value = content;
			textarea.readOnly = 'readOnly';
			document.body.appendChild(textarea);
			textarea.select(); // 选择对象
			textarea.setSelectionRange(0, content.length); //核心
			let result = document.execCommand('copy'); // 执行浏览器复制命令
			textarea.remove();
			return result;
			// #endif
		},
		// 加载初始数据
		loadBaseData() {
			getUserInfo({})
				.then(({ data }) => {
					this.setUserInfo(data);
				})
				.catch(e => {
					console.log(e);
				});
		},
		/**
		 * 统一跳转接口,拦截未登录路由
		 * navigator标签现在默认没有转场动画，所以用view
		 */
		navTo(url) {
			console.log(url);
			if (!this.hasLogin) {
				// 保存地址
				saveUrl();
				// 登录拦截
				interceptor();
			} else {
				uni.navigateTo({
					url
				});
			}
		},
		// 签到弹窗
		goQd() {
			this.$refs.popupqd.open();
			this.qded = true;
		},
		// 关闭签到弹窗
		closeQd() {
			this.$refs.popupqd.close();
		},
		// 打开客服
		openKf() {
			this.$refs.popupkf.open();
		},
		// 关闭客服
		cancel() {
			this.$refs.popupkf.close();
		},
		// 打开绑定
		open() {
			this.$refs.gspass.open();
		},
		cast() {
			set_waiter({ uid: this.id })
				.then(e => {
					this.$api.msg('绑定成功');
					this.$refs.gspass.close();
					this.id = '';
				})
				.catch(err => {
					this.$refs.gspass.close();
					this.id = '';
				});
		},
		cancelpass() {
			this.$refs.gspass.close();
			this.id = '';
		}
	}
};
</script>
<style lang="scss">
%flex-center {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

%section {
	display: flex;
	justify-content: space-around;
	align-content: center;
	background: #fff;
	border-radius: 10rpx;
}

.container,
page {
	min-height: 100%;
	height: auto;
	background-color: $page-color-base;
}

.vheigh {
	height: var(--status-bar-height);
	background-color: $base-color;
}

.top-image {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: 230rpx;

	image {
		width: 100%;
		height: 100%;
	}
}

.popup-box {
	width: 522rpx;
	height: 605rpx;
	background-color: #ffffff;
	border-radius: 20rpx;
	position: relative;

	.img {
		position: relative;
		top: -56rpx;
		left: 0;
		width: 522rpx;
		height: 132rpx;
		display: flex;
		justify-content: center;

		image {
			border-radius: 20rpx 20rpx 0 0;
			width: 450rpx;
			height: 132rpx;
		}
	}

	.mian {
		margin-top: -44rpx;
		display: flex;
		flex-direction: column;
		align-items: center;
		// padding: 32rpx 32rpx;
		background-color: #ffffff;
		border-radius: 0 0 20rpx 20rpx;
		text-align: center;

		.delivery {
			font-size: 40rpx;
			color: #333333;
			display: flex;
			align-items: center;
			flex-direction: column;

			image {
				margin-top: 48rpx;
				width: 172rpx;
				height: 160rpx;
			}
		}

		.nocancel {
			font-size: 32rpx;
			color: #333333;
			margin-top: 14rpx;
		}

		.comfirm-box {
			margin-top: 52rpx;
			display: flex;
			// margin-bottom: 32rpx;

			// justify-content: space-around;
			.cancel {
				display: flex;
				align-items: center;
				justify-content: center;
				width: 197rpx;
				height: 74rpx;
				border: 1px solid #dcc786;
				border-radius: 38rpx;

				font-size: 32rpx;
				color: #605128;
			}

			.comfirm {
				margin-left: 32rpx;
				display: flex;
				align-items: center;
				justify-content: center;
				width: 197rpx;
				height: 74rpx;
				background: linear-gradient(-90deg, #d1ba77 0%, #f7e8ad 100%);
				border-radius: 38px;
				font-size: 32rpx;
				color: #605128;
			}
		}
	}
}
.user-box {
	position: relative;
	z-index: 2;
	width: 690rpx;
	margin: 0 auto;
	background: #ffffff;
	box-shadow: 0px 4rpx 13rpx 0px rgba(229, 229, 229, 0.46);
	border-radius: 20rpx;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 54rpx 0 30rpx;
	line-height: 1;
	.avatar {
		border-radius: 50%;
		width: 132rpx;
		height: 132rpx;
	}
	.user-name {
		margin-top: 14rpx;
		font-size: 30rpx;
		font-family: PingFang SC;
		font-weight: bold;
		color: #333333;
	}
	.user-shop {
		margin-top: 10rpx;
		display: flex;
		justify-content: center;
		align-items: center;
		.user-shop-icon {
			width: 22rpx;
			height: 22rpx;
		}
		.user-shopname {
			margin-left: 6rpx;
			font-size: 20rpx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #ff7e3e;
		}
	}
	.user-money {
		width: 100%;
		margin-top: 50rpx;
		justify-content: center;
		.user-money-item {
			width: 50%;
			display: flex;
			flex-direction: column;
			justify-content: center;
			align-items: center;
			.user-money-num {
				font-size: 36rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #333333;
			}
			.user-money-font {
				margin-top: 20rpx;
				font-size: 22rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #666666;
			}
		}
		.user-xian {
			width: 1px;
			height: 77rpx;
			background: #eeeeee;
		}
	}
}
.main-box {
	margin: 20rpx auto 0;
	width: 710rpx;
	background: #ffffff;
	box-shadow: 0px 4rpx 14rpx 0px rgba(229, 229, 229, 0.46);
	border-radius: 20rpx;

	.title {
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding: 24rpx;
		border-bottom: 1px solid #eeeeee;

		.title-left {
			display: flex;
			align-items: center;

			.title-icon {
				width: 32rpx;
				height: 32rpx;
			}

			.title-font {
				margin-left: 20rpx;
				font-size: 28rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #333333;
			}
		}

		.title-right {
			width: 14rpx;
			height: 24rpx;
		}
	}

	.main {
		padding: 50rpx 0 30rpx;
		.jg {
			width: 1px;
			height: 100rpx;
			background: #eeeeee;
		}
		.item {
			padding-bottom: 20rpx;
			width: 25%;
			display: flex;
			flex-direction: column;
			align-items: center;

			.item-num {
				font-size: 36rpx;
				font-family: PingFang SC;
				font-weight: bold;
				color: #333333;
			}

			.item-font {
				margin-top: 18rpx;
				font-size: 22rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #666666;
			}
		}

		.oitem {
			width: 33%;
			display: flex;
			flex-direction: column;
			align-items: center;

			.oitem-image {
				height: 40rpx;
				width: 42rpx;
			}

			.oitem-font {
				margin-top: 20rpx;
				font-size: 24rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #333333;
			}
		}
	}
}
.tool-list {
	width: 690rpx;
	margin: 20rpx auto 0;
	background: #ffffff;
	box-shadow: 0px 0px 20rpx 0px rgba(50, 50, 52, 0.06);
	border-radius: 20rpx;
}
.psw-wrapper {
	width: 548rpx;
	padding: 20rpx 0;
	background-color: #ffffff;
	border-radius: 15rpx 15rpx;
	.psw-title {
		width: 100%;
		font-size: 35rpx;
		padding: 0 0 40rpx;
		text-align: center;
		font-weight: 800;
	}

	.psw-content {
		width: 100%;
		font-size: 32rpx;
		text-align: center;
	}

	.psw-price {
		font-weight: bold;
		font-size: 68rpx;
		text-align: center;
		padding-top: 10rpx;
	}

	.psw-jg {
		height: 1px;
		width: 500rpx;
		background-color: #eee;
		margin: auto;
	}

	.psw-paytype {
		justify-content: space-between;
		padding: 10rpx 25rpx 30rpx;
		font-size: 26rpx;
	}

	.psw-ipt {
		display: block;
		background-color: #dce3ed;
		height: 90rpx;
		width: 464rpx;
		padding-left: 30rpx;
		margin: 0 auto;
		font-size: 80rpx;
	}

	.psw-btn text {
		display: inline-block;
		text-align: center;
		width: 50%;
		padding-top: 29rpx;
		font-size: 35rpx;
	}

	.psw-qd {
		color: #ff4c4c;
	}
}
</style>
